/* IMAGES CSS */
@import url('https://fonts.googleapis.com/css2?family=BBH+Bogle&family=Dancing+Script:wght@400..700&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Lobster+Two:ital,wght@0,400;0,700;1,400;1,700&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Pacifico&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Rubik:ital,wght@0,300..900;1,300..900&family=Satisfy&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* overflow-x: hidden;  */
}

body {
    background: #f5f7fa;
}

/* NAVBAR */

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    background: #0F4C75;
    padding: 45px 15px;
    z-index: 1000;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.nav-container {
    width: 90%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* LOGO */

.logo a {
    color: white;
    font-size: 22px;
    font-weight: bold;
    text-decoration: none;
    letter-spacing: 2px;
    animation: blink 2s infinite;

}

/* CLIGNOTEMENT DOUX */

@keyframes blink {

    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.6;
    }

    100% {
        opacity: 1;
    }

}

/* MENU */

.nav-links {
    display: flex;
    list-style: none;
    gap: 30px;
}

.nav-links a {
    text-decoration: none;
    color: white;
    font-size: 19px;
    padding: 5px 0;
    transition: 0.3s;
    font-family: "Poppins", sans-serif;
}

/* ANIMATION HOVER */

.nav-links a::after {

    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    background: #2E8B57;
    left: 0;
    bottom: -4px;
    transition: 0.4s;

}

.nav-links a:hover::after {

    width: 100%;

}

.nav-links a:hover {

    color: #2E8B57;

}

/* BOUTON CONTACT */

.navbar .contact-btn {

    background: #2E8B57;
    padding: 10px 8px;
    border-radius: 15px;

}

.contact-btn:hover {

    background: #1e6e44;
    color: white;

}

.project-gallery {

    margin-top: 80px;
    text-align: center;
    font-family: "Poppins", sans-serif;
    padding-top: 10%;

} 
.section-title {
    font-size: 32px;
    color: blue;
}
.gallery-desc {

    max-width: 700px;
    margin: auto;
    margin-bottom: 40px;
    color: #555;
    font-family: "Poppins", sans-serif;
    font-size: 24px;

}
.carousel {
    overflow: hidden;
}
.carousel-control-prev-icon {
    position: absolute;
    top: 130%;
    width: 400px;
}
.carousel-control-next-icon {
    position: absolute;
    top: 130%;
    width: 400px;
}
/* Bouton whatsapp */
/* ===== WHATSAPP FLOAT BUTTON ===== */

.whatsapp-float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 25px;
    right: 25px;
    background-color: #25D366;
    color: #fff;
    border-radius: 50%;
    text-align: center;
    font-size: 30px;
    box-shadow: 0 6px 15px rgba(0,0,0,0.3);
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s ease;
    text-decoration: none;
}

.whatsapp-float:hover {
    transform: scale(1.1);
    background-color: #1ebe5d;
}

/* Animation Pulse */
@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.7);
    }
    70% {
        box-shadow: 0 0 0 15px rgba(37, 211, 102, 0);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0);
    }
}

.whatsapp-float {
    animation: pulse 2s infinite;
}
/* Correction des flèches */
.carousel-control-prev,
.carousel-control-next {
    width: 5%; /* largeur des boutons flèches */
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    background-size: 100%, 100%;
}

/* Positionnement vertical centré */
.carousel-control-prev,
.carousel-control-next {
    top: 125%;
    right: 10%;
    transform: translateY(-50%);
}
.carousel-control-prev {
    top: 125%;
    left: 10%;
    transform: translateY(-50%);
}

/* RESPONSIVE DESIGN */
.burger {
    display: none;
    font-size: 32px;
    color: white;
    cursor: pointer;
}

/* MOBILE */

@media (max-width:768px) {

    .burger {
        display: block;
    }

    nav {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
    }

    .nav-links {

        flex-direction: column;
        background: #0F4C75;
        width: 100%;
        text-align: center;
        padding: 20px 0;
        position: absolute;
        top: -700px;
        left: 0;

        transition: 0.4s ease;
    }

    .nav-links li {
        padding: 15px 0;
    }

    .nav-links.active {
        top: 80px;
    }

}
.project-gallery {
    margin-top: 120px;
    text-align: center;
    font-family: "Poppins", sans-serif;
    padding-top: 10%;
}

.section-title {
    font-size: 32px;
    color: blue;
}

.gallery-desc {
    max-width: 700px;
    margin: auto;
    margin-bottom: 40px;
    color: #555;
    font-family: "Poppins", sans-serif;
    font-size: 24px;
}


.carousel-control-prev {
    top: 125%;
    left: 10%;
    transform: translateY(-50%);
}

/* Responsive pour mobiles */
@media (max-width: 768px) {
    .gallery-desc {
        font-size: 20px;
        padding: 0 10px;
    }
    
    
    .carousel-control-next {
        width: 2%; /* flèches plus faciles à toucher sur mobile */
        position: absolute;
        top: -146%;
        right: 23%;
    }
    .carousel-control-prev {
         width: 2%; /* flèches plus faciles à toucher sur mobile */
        position: absolute;
        top: -146%;
        left: 23%;
    }
}
